﻿;-TOP

; ***************************************************************************
;
; Comment : EventDesigner - Event Form File
; Create  : 2019.09.08 16:21:17
; Update  : 2019.09.08 19:04:35
;
; ***************************************************************************

Procedure MyEventSizeWindow_WinCheck()
  CompilerIf Defined(ResizeGadgetsWinCheck, #PB_Procedure)
    ResizeGadgetsWinCheck()
  CompilerEndIf
EndProcedure

; ----

Procedure MyEventCloseWindow_WinCheck()
  CompareConstants\Cancel = #True
  SignalSemaphore(SignalCompareWindow)
  CloseWindow(#WinCheck)
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Text_0()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Text_1()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Text_2()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Listview_Old()
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType()
    Case #PB_EventType_LeftDoubleClick
      pos1 = GetGadgetState(#WinCheck_Listview_Old)
      If pos1 >= 0
        pos2 = GetGadgetState(#WinCheck_Listview_New)
        If pos2 >= 0
          temp = GetGadgetItemText(#WinCheck_Listview_Old, pos1, 0) + " > " + GetGadgetItemText(#WinCheck_Listview_New, pos2, 0)
          For index = 0 To CountGadgetItems(#WinCheck_Listview_toDo)
            If GetGadgetItemText(#WinCheck_Listview_toDo, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#WinCheck_Listview_ToDo, -1, temp)
            RemoveGadgetItem(#WinCheck_Listview_Old, pos1)
            RemoveGadgetItem(#WinCheck_Listview_New, pos2)
          EndIf
        EndIf
      EndIf
  
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Listview_New()
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType()
    Case #PB_EventType_LeftDoubleClick
      pos1 = GetGadgetState(#WinCheck_Listview_Old)
      If pos1 >= 0
        pos2 = GetGadgetState(#WinCheck_Listview_New)
        If pos2 >= 0
          temp = GetGadgetItemText(#WinCheck_Listview_Old, pos1, 0) + " > " + GetGadgetItemText(#WinCheck_Listview_New, pos2, 0)
          For index = 0 To CountGadgetItems(#WinCheck_Listview_toDo)
            If GetGadgetItemText(#WinCheck_Listview_toDo, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#WinCheck_Listview_ToDo, -1, temp)
            RemoveGadgetItem(#WinCheck_Listview_Old, pos1)
            RemoveGadgetItem(#WinCheck_Listview_New, pos2)
          EndIf
        EndIf
      EndIf
  
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Listview_toDo()
  
  Protected pos, temp.s
  
  Select EventType()
    Case #PB_EventType_LeftDoubleClick
      pos = GetGadgetState(#WinCheck_Listview_ToDo)
      If pos >= 0
        temp = GetGadgetItemText(#WinCheck_Listview_ToDo, pos, 0)
        AddGadgetItem(#WinCheck_Listview_Old, -1, Trim(StringField(temp, 1, ">")))
        AddGadgetItem(#WinCheck_Listview_New, -1, Trim(StringField(temp, 2, ">")))
        RemoveGadgetItem(#WinCheck_Listview_toDo, pos)
      EndIf
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Button_Bind()
  
  Protected temp.s, pos1, pos2, index, find
  
  Select EventType()
    Case #PB_EventType_LeftClick
      pos1 = GetGadgetState(#WinCheck_Listview_Old)
      If pos1 >= 0
        pos2 = GetGadgetState(#WinCheck_Listview_New)
        If pos2 >= 0
          temp = GetGadgetItemText(#WinCheck_Listview_Old, pos1, 0) + " > " + GetGadgetItemText(#WinCheck_Listview_New, pos2, 0)
          For index = 0 To CountGadgetItems(#WinCheck_Listview_ToDo)
            If GetGadgetItemText(#WinCheck_Listview_ToDo, index, 0) = temp
              find = #True
              Break
            EndIf
          Next
          If Not find
            AddGadgetItem(#WinCheck_Listview_ToDo, -1, temp)
            RemoveGadgetItem(#WinCheck_Listview_Old, pos1)
            RemoveGadgetItem(#WinCheck_Listview_New, pos2)
          EndIf
        EndIf
      EndIf
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Button_Release()
  
  Protected pos, temp.s
  
  Select EventType()
    Case #PB_EventType_LeftClick
      pos = GetGadgetState(#WinCheck_Listview_ToDo)
      If pos >= 0
        temp = GetGadgetItemText(#WinCheck_Listview_ToDo, pos, 0)
        AddGadgetItem(#WinCheck_Listview_Old, -1, Trim(StringField(temp, 1, ">")))
        AddGadgetItem(#WinCheck_Listview_New, -1, Trim(StringField(temp, 2, ">")))
        RemoveGadgetItem(#WinCheck_Listview_ToDo, pos)
      EndIf
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinCheck_Button_Continue()
  
  Protected result, cnt, pos, temp.s
  
  Select EventType()
    Case #PB_EventType_LeftClick
      If CountGadgetItems(#WinCheck_Listview_Old)
        result = MessageRequester("Info", "Some old constants not to bind! Continue?", #PB_MessageRequester_YesNoCancel | #PB_MessageRequester_Warning)
        Select result
          Case #PB_MessageRequester_Yes
            
          Case #PB_MessageRequester_No
            ProcedureReturn 0
          Case #PB_MessageRequester_Cancel
            CompareConstants\Cancel = #True
            SignalSemaphore(SignalCompareWindow)
            CloseWindow(#WinCheck)
            ProcedureReturn 0
        EndSelect
      EndIf
      ; Daten übernehmen
      cnt = CountGadgetItems(#WinCheck_Listview_ToDo) - 1
      For pos = 0 To cnt
        temp = GetGadgetItemText(#WinCheck_Listview_ToDo, pos, 0)
        AddElement(CompareConstants\Update())
        CompareConstants\Update()\Old = Trim(StringField(temp, 1, ">"))
        CompareConstants\Update()\New = Trim(StringField(temp, 2, ">"))
      Next
      SignalSemaphore(SignalCompareWindow)
      CloseWindow(#WinCheck)
      
  EndSelect
  
EndProcedure

; ----

; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 213
; FirstLine = 172
; Folding = ---
; EnableXP